LSHG(1)

NAME
lshg - secsh (SSH2) client

SYNOPSIS
lshg [OPTION...] HOST [COMMAND]

DESCRIPTION
CAUTION! The information in this manpage may be invalid or outdated. For authorative information on lsh, please see it's Texinfo manual (see the SEE ALSO section). Connects to the the remote machine HOST through a previously established lsh gateway and perform one or more actions, i.e. command execution, various forwarding services. The default action is to start a remote interactive shell or execute a given command on the remote machine.

OPTIONS

--debug
    Print huge amounts of debug information

--log-file=File name
    Append messages to this file.

-q, --quiet
    Suppress all warnings and diagnostic messages

--trace
    Detailed trace

-v, --verbose
    Verbose diagnostic messages

--askpass=Program
    Program to use for reading passwords. Should be an absolute filename.

-l, --user=User name
    Login as this user.

-p, --port=Port
    Connect to this port.

Actions:

-B, --background
    Put process into the background. Implies -N.

-D, --forward-socks[=port] Enable socks dynamic forwarding

-E, --execute=command
    Execute a command on the remote machine

-L, --forward-local-port=local-port:target-host:target-port

-N, --nop
    No operation (suppresses the default action, which is to spawn a remote shell)

--subsystem=subsystem-name
    Connect to given subsystem. Implies --no-pty.

-S, --shell=command
    Spawn a remote shell

Universal not:

-n, --no
    Inverts the effect of the next modifier

Modifiers that apply to port forwarding:

-g, --remote-peers
    Allow remote access to forwarded ports

--no-remote-peers
    Disallow remote access to forwarded ports (default).

Modifiers that apply to remote execution:

--detach
    Detach from terminal at session end.

--no-detach
    Do not detach session at end, wait for all open channels (default).

--no-pty
    Don't request a remote pty.

--no-stderr
    Redirect stderr to /dev/null

--no-stdin
    Redirect stdin from /dev/null

--no-stdout
    Redirect stdout to /dev/null

--stderr=Filename
    Redirect stderr

--stdin=Filename
    Redirect stdin

--stdout=Filename
    Redirect stdout

-t, --pty
    Request a remote pty (default).

Miscellaneous options:

-e, --escape-char=Character
    Escape char. `none' means disable. Default is to use `~' if we have a tty, otherwise none.

--write-pid
    Make -B write the pid of the backgrounded process to stdout.

-G  If no usable gateway is found, launch lsh instead.

--send-debug=Message
    Send a debug message to the remote machine.

--send-ignore=Message
    Send an ignore message to the remote machine.

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

DIAGNOSTICS
See the --verbose , --trace and --debug options.

EXAMPLES
Using the -G option, for example in LSHGFLAGS it's easy to use an existing gateway if there is any and connect using lsh if not.

REPORTING BUGS
Report bugs to <bug-lsh@gnu.org>.

ENVIRONMENT
LSHG_FLAGS may be used for passing additional parameters. The parsing order is undefined.

COPYING
The lsh suite of programs is distributed under the GNU General Public License; see the COPYING and AUTHORS files in the source distribution for details.

AUTHOR
The lsh program suite is written mainly by Niels Möller <nisse@lysator.liu.se>. This man-page was written for lsh 2.0 by Pontus Freyhult <pont_lsh@soua.net>, it is based on a template written by J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>.

SEE ALSO
lsftp(1), lsh(1), lsh-authorize(1), lsh-export-key(1), lsh-keygen(1), lsh-make-seed(1), lsh-upgrade(1), lsh-upgrade-key(1), lsh-writekey(1), lshd(8), ssh-conv(1) The full documentation for lsh is maintained as a Texinfo manual. If the info and lsh programs are properly installed at your site, the command

    info lsh

should give you access to the complete manual.